clang-tools 10.0.0

Namespaces | Functions
TemporaryObjectsCheck.cpp File Reference
`#include "TemporaryObjectsCheck.h"`
`#include "../utils/OptionsUtils.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include <string>`
Include dependency graph for TemporaryObjectsCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::zircon

## Functions
| clang::tidy::zircon::AST_MATCHER_P (CXXRecordDecl, matchesAnyName, ArrayRef< std::string >, Names)